/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation

    
	/**
     * Cache les champs qui permettent d'ajouter une catgorie
     *
     * @return void
     */
    function hideNewCat()
    {
        hideLabel('id_new_catname');
        hideInput('new_catname');
        hideInput('new_category');
    }   
    
    // -------------------------------------------------------------------
    
	/**
     * Cache un lment label
     *
     * @param string Nom de l'attribut for de l'lment label
     * @return void
     */
	function hideLabel(nameFor)
	{
		var labelElement = document.getElementsByTagName("label");
        
        for(var i = 0; i < labelElement.length; i++) {
            if (labelElement.item(i).htmlFor == nameFor) {
                labelElement.item(i).style.display = 'none';
            }
        }
        
        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Cache les items de l'lment UL
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function hideUListItem(uListClassName, hrefValue)
	{
		var uListElement = getUListElement(uListClassName);
        
        for(var k = 0; k < uListElement.length; k++)
        {
            var aElements = uListElement[k].getElementsByTagName("a");

            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;

    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var liElement = aElements.item(i).parentNode;
                   
                  liElement.style.display = 'none';
    			}
            }	
        }
        
        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Cache un lment input
     *
     * @param string Nom de l'attribut name de l'lment input
     * @return void
     */
	function hideInput(name)
	{
		var inputElement = document.getElementsByTagName("input");
        
        for(var i = 0; i < inputElement.length; i++) {
            if (inputElement.item(i).name == name) {
                inputElement.item(i).style.display = 'none';
            }
        }
        
        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Rcupre l'lment de liste non ordonne (UL) identifi par la nom de sa classe
     *
     * @param string Nom de l'attribut class de la balise UL
     * @return array
     */
    function getUListElement(className)
	{
		var tags = document.getElementsByTagName('ul');
        var uListElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagClass = tags[i].className;

			if (tagClass === className) {
                uListElement.push(tags[i]);
			}	
		}
        
        return uListElement;
	}
     
    // -------------------------------------------------------------------
    
	function init()
	{
        if (! plugin_adm_user_rights["art"]["act"]) {   // Activation d'un article
            hideInput("update");
            hideInput("publish");
        }

        if (! plugin_adm_user_rights["art"]["del"]) {   // Suppression d'un article
            hideInput("delete");
        }

        if (! plugin_adm_user_rights["cat"]["add"]) {   // Ajout d'une catgorie
            hideNewCat();
        }

        if (! plugin_adm_user_rights["comm"]["add"]) {  // Ajout d'un commentaire
            hideUListItem('opts', 'comment_new.php');
        }

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Edition d'un commentaire
            hideUListItem('opts', 'comments.php');
        }
        
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();