/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation
    
	/**
     * Cache un lment input
     *
     * @param string Nom de l'attribut name de l'lment input
     * @return void
     */
	function hideInput(name)
	{
		var inputElement = document.getElementsByTagName("input");
        
        for(var i = 0; i < inputElement.length; i++) {
            if (inputElement.item(i).name == name) {
                inputElement.item(i).style.display = 'none';
            }
        }
        
        return true;
	}

    // -------------------------------------------------------------------
    
	function init()
	{
        if (! plugin_adm_user_rights["comm"]["act"]) {   // Mise en ligne ou hors ligne d'un commentaire
            hideInput("offline");
            hideInput("online");
        }

        if (! plugin_adm_user_rights["comm"]["del"]) {   // Suppression d'un commentaire
            hideInput("delete");
        }

        if (! plugin_adm_user_rights["comm"]["add"]) {   // Ajout d'un commentaire
           hideInput("answer");
        }

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Mis  jour d'un commentaire
            hideInput("update");
        }
        
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();