/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation
    
	/**
     * Cache l'item du menu
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkInUList(UlistClassName, hrefValue)
	{
		var uListElement = getUListElement(UlistClassName);
        
        for(var k = 0; k < uListElement.length; k++)
        {
            var aElements = uListElement[k].getElementsByTagName("a");

            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;

    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var liElement = aElements.item(i).parentNode;
                   var content = aElements.item(i).firstChild;

                   liElement.replaceChild(content, aElements.item(i));
                   i--;

                    //aElements.item(i).style.display = 'none';
    			}	
    		}  
        }
        
        return true;
	}

    // -------------------------------------------------------------------
    
	/**
     * Rcupre l'lment de liste non ordonne (UL) identifi par la nom de sa classe
     *
     * @param string Nom de l'attribut class de la balise UL
     * @return array
     */
    function getUListElement(className)
	{
		var tags = document.getElementsByTagName('ul');
        var uListElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagClass = tags[i].className;

			if (tagClass === className) {
                uListElement.push(tags[i]);
			}	
		}
        
        return uListElement;
	}

    // -------------------------------------------------------------------
    
    function removeLinkInBlock(idBlock, hrefValue)
    {
        var block = document.getElementById(idBlock);
        
        if (! block) {
            return false;
        }
        
        var aElements = block.getElementsByTagName("a");
        
        for (var i = 0; i < aElements.length; i++) {
            var aHref = aElements.item(i).href;

			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
               var pElement = aElements.item(i).parentNode;
               var content = aElements.item(i).firstChild;

               pElement.replaceChild(content, aElements.item(i));
               i--;

//                aElements.item(i).style.display = 'none';
			}	
		}  
    }
    
    
	function init()
	{
        if (! plugin_adm_user_rights["art"]["edit"]) { // Edition d'un article
            removeLinkInUList('comment_infos', 'article.php');
        }

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Edition d'un commentaire
            removeLinkInBlock('comments', 'comment.php');
        }
        
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();