/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation

	/**
     * Cache les options de l'lment select
     *
     * @param string Nom de l'attribut name de la balise select
     * @param string Valeur de l'option  cacher de la balise select
     * @return void
     */
	function hideSelectOptions(selectName, optionValue)
	{
		var selectElement = getSelectElement(selectName);
       
        for(var k = 0; k < selectElement.length; k++) {
            var tags = selectElement[k].options;
            
            for (var i = 0; i < tags.length; i++) {
    			var tagValue = tags[i].value;
    
    			if (tagValue === optionValue) {    			 
 //                  tags[i].style.display = 'none';
                   selectElement[k].removeChild(tags[i]);
    			}	
    		}  
        }
        
        return true;
	}

	/**
     * Cache le block contenant l'lment select
     *
     * @param string Nom de l'attribut name de la balise select
     * @return void
     */
	function hideSelectBlock(selectName)
	{
		var selectElement = getSelectElement(selectName);
        
        for(var k = 0; k < selectElement.length; k++) {
            var block = selectElement[k].parentNode;
            block.style.display = "none";
        }
        
        return true;
    }
         
    // -------------------------------------------------------------------
    
	/**
     * Rcupre le ou les lments des listes de slection identifi par leur nom
     *
     * @param string Nom de l'attribut name de la balise select
     * @return array
     */
    function getSelectElement(selectName)
	{
		var tags = document.getElementsByTagName('select');
        var selectElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagName = tags[i].name;

			if (tagName === selectName) {
                selectElement.push(tags[i]);
			}	
		}
        
        return selectElement;
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Cache le bouton ""ajouter un fichier" du menu
     *
     * @return void
     */
	function hideInputAddFile()
	{
		var divElement = document.getElementById('files_manager');
        var inputElements = divElement.getElementsByTagName('input');
		
        for (var i = 0; i < inputElements.length; i++) {
			if (inputElements[i].name === "btn_documents") {
                inputElements[i+1].style.display = 'none';;
			}	
		}

        return true;
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Cache le block ""Nouveau dossier"
     *
     * @return void
     */
	function hideDivAddDir()
	{
		var divElement = document.getElementById('files_manager');
        var tags = divElement.getElementsByTagName('div');
		
        for (var i = 0; i < tags.length; i++) {
			if (tags[i].className === "create") {
                tags[i].style.display = 'none';;
			}	
		}

        return true;
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Cache le bouton "Supprimer" d'une catgorie
     *
     * @return void
     */
	function hideInputDeleteDir()
	{
		var divElement = document.getElementById('files_manager');
        var inputElements = divElement.getElementsByTagName('input');
		
        for (var i = 0; i < inputElements.length; i++) {
            if (inputElements[i].name == "btn_delete") {
                inputElements[i].style.display = 'none';;
			}	
		}

        return true;
	}
   
    // -------------------------------------------------------------------

	function init()
	{
        
        
        if (! plugin_adm_user_rights["file"]["add"]) {
            hideInputAddFile();
        }

        if (   ! plugin_adm_user_rights["file"]["del"] 
            && ! plugin_adm_user_rights["file"]["move"] 
            && ! plugin_adm_user_rights["file"]["thumbs"])
        {
            hideSelectBlock("selection[]");            
        } else {
            if (! plugin_adm_user_rights["file"]["del"]) {
                hideSelectOptions("selection[]",  "delete");
            }
    
            if (! plugin_adm_user_rights["file"]["move"]) {
                hideSelectOptions("selection[]",  "move");
            }
    
            if (! plugin_adm_user_rights["file"]["thumbs"]) {
                hideSelectOptions("selection[]",  "thumbs");
                
            }
        }
       
        if (! plugin_adm_user_rights["dir"]["add"]) {
            hideDivAddDir();
        }
        
        if (! plugin_adm_user_rights["dir"]["del"]) {
            hideInputDeleteDir();
        }
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();