/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation

	/**
     * Cache les options de l'lment select
     *
     * @param string Nom de l'attribut name de la balise select
     * @param string Valeur de l'option  cacher de la balise select
     * @return void
     */
	function hideSelectOptions(selectName, optionValue)
	{
		var selectElement = getSelectElement(selectName);
        
        for(var k = 0; k < selectElement.length; k++) {
            var tags = selectElement[k].options;
            
            for (var i = 0; i < tags.length; i++) {
    			var tagValue = tags[i].value;
    
    			if (tagValue === optionValue) {
                   selectElement[k].removeChild(tags[i]);
    			}	
    		}  
        }
        
        return true;
	}
     
    // -------------------------------------------------------------------

	/**
     * Rcupre le ou les lments des listes de slection identifi par leur nom
     *
     * @param string Nom de l'attribut name de la balise select
     * @return array
     */
    function getSelectElement(selectName)
	{
		var tags = document.getElementsByTagName('select');
        var selectElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagName = tags[i].name;

			if (tagName === selectName) {
                selectElement.push(tags[i]);
			}	
		}
        
        return selectElement;
	}
     
    // -------------------------------------------------------------------

    /**
     * Cache une ligne d'un tableau
     *
     * @param string Nom de l'attribut class de la balise table
     * @param string Nom de l'attribut class de la balise tr  cacher
     * @return void
     */
    function hideTrInTable(tableClassName, trClassName)
    {
		var tableElement = getTableElement(tableClassName);
        
        for(var k = 0; k < tableElement.length; k++)
        {
            var trElements = tableElement[k].getElementsByTagName("tr");

            for (var i = 0; i < trElements.length; i++) {
                var trClass = trElements.item(i).className;

    			if (trClass == trClassName) {
                    trElements.item(i).style.display = 'none';
    			}	
    		}  
        }
        
        return true;
    } 
     
    // -------------------------------------------------------------------
    
	/**
     * Cache l'item du menu
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkCellsInTable(tableClassName, hrefValue)
	{
		var tableElement = getTableElement(tableClassName);
        
        for(var k = 0; k < tableElement.length; k++)
        {
            var aElements = tableElement[k].getElementsByTagName("a");

            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;

    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var tdElement = aElements.item(i).parentNode;
                   var content = aElements.item(i).firstChild;

                   tdElement.replaceChild(content, aElements.item(i));
                   i--;

                    //aElements.item(i).style.display = 'none';
    			}	
    		}  
        }
        
        return true;
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Dsactive les champs input et select prsents dans le tableau
     *
     * @param string Nom de la class du tableau
     * @return void
     */
	function desactivateFieldsInTable(tableClassName)
	{
		var tableElement = getTableElement(tableClassName);
        
        for(var k = 0; k < tableElement.length; k++)
        {
            /**
             * Champs input
             */
            var inputElements = tableElement[k].getElementsByTagName("input");

            for (var i = 0; i < inputElements.length; i++) {
                var inputElement = inputElements.item(i);
                var type = inputElement.type;
                var name = inputElement.name;
                var trParentElement = inputElement.parentNode.parentNode;
                
                if (type == 'checkbox' && name == 'homeStatic[]') {
                    inputElement.disabled = true;
                } else if (trParentElement.className != 'new') {
                    inputElement.readOnly = true;
                }
                 
    		}  
            //
            
            /**
             * Champs select
             */            
            var selectElements = tableElement[k].getElementsByTagName("select");

            for (var i = 0; i < selectElements.length; i++) {
                var selectElement = selectElements.item(i);                
                var trParentElement = selectElement.parentNode.parentNode;
                
                if (trParentElement.className != 'new') {
                    selectElement.disabled = true;
                }
    		}  
            //
        }
        
        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Rcupre l'lment table identifi par la nom de sa class
     *
     * @param string Nom de l'attribut class de la balise table
     * @return array
     */
    function getTableElement(className)
	{
		var tags = document.getElementsByTagName('table');
        var tableElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagClass = tags[i].className;

			if (tagClass === className) {
                tableElement.push(tags[i]);
			}	
		}
        
        return tableElement;
	}
     
    // -------------------------------------------------------------------

    /**
     * Cache le bouton "Modifier la liste des pages statiques"
     *
     * @return void
     */
    function hideButtonUpdate()
    {
        var inputElements = document.getElementsByTagName("input");
    
        for (var i = 0; i < inputElements.length; i++) {
            var type = inputElements.item(i).type;
            var name = inputElements.item(i).name;
            
            if (type == 'submit' && name == 'update') {
                inputElements.item(i).style.display = 'none';
            }       
    	}  
    }     

    // -------------------------------------------------------------------

	function init()
	{
        if (! plugin_adm_user_rights["page"]["del"]) {
            hideSelectOptions("selection",  "delete");
        }
        
        if (! plugin_adm_user_rights["page"]["edit"]) {
            removeLinkCellsInTable("table", "statique.php");
        }
        
        if (! plugin_adm_user_rights["page"]["add"]) {
            hideTrInTable("table", "new");
        }
        
        if (! plugin_adm_user_rights["page"]["act"]) {
            desactivateFieldsInTable("table");
        }

        if (! plugin_adm_user_rights["page"]["add"] && ! plugin_adm_user_rights["page"]["act"]) {
            hideButtonUpdate();
        }

	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();