/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2014
 * @version 1.4
 * @date	15/03/2014
 * @compatibility pluxml 5.3.x
 */
(function () {	// initialisation
    
    /**
     * Cache l'item du menu identifi par l'attribut Href du lien
     *
     * @param array Valeurs de l'attribut href du lien de l'item
     * @return void
     */ 
    function hideMenuItemsByHref(hrefs)
    {        
        var sidebar = document.getElementById('sidebar');  
        var aElements = sidebar.getElementsByTagName("a");

        for (var i = 0; i < aElements.length; i++) {
            var aHref = aElements.item(i).href;
            var key = '';
            
            for(key in hrefs) {
                if (aHref.lastIndexOf(hrefs[key]) !== -1) {
                    var liElement = aElements.item(i).parentNode;
                    liElement.style.display = 'none';
                }
            }
		}
        
        return true;
    }
         
    // -------------------------------------------------------------------

	/**
     * Cache l'item du menu identifi par son attribut Href et son attribut class
     *
     * @param string Valeur de l'attribut href du lien de l'item
     * @param string Valeur de l'attribut class du lien de l'item
     * @return void
     */
    function hideMenuItemByHrefAndClass(valueHref, classItem)
    {
        var menuElement = document.getElementById('sidebar');
        var aElements = menuElement.getElementsByTagName("a");

        for (var i = 0; i < aElements.length; i++) {
            var aHref = aElements.item(i).href;

			if (aHref.lastIndexOf(valueHref) !== -1) {
                var liElement = aElements.item(i).parentNode;
                var liElementClass = liElement.className;

                if (liElementClass.lastIndexOf(classItem) !== -1) {
                    liElement.style.display = 'none';
                }
			}	
		}
        
        return true;
    }   
         
    // -------------------------------------------------------------------
    
	function init()
	{
        var menuItemsHrefs = new Array(); 
        
        // Articles et nouvel article
        if (! plugin_adm_user_rights["art"]["add"] && ! plugin_adm_user_rights["art"]["edit"] && ! plugin_adm_user_rights["art"]["act"] && ! plugin_adm_user_rights["art"]["del"]) {
            menuItemsHrefs.push("index.php", "article.php");
        }

        // Nouvel article
        if (! plugin_adm_user_rights["art"]["add"]) {
            menuItemsHrefs.push("article.php");
        }
        
        // Pages statiques
        if (! plugin_adm_user_rights["page"]["add"] && ! plugin_adm_user_rights["page"]["edit"] && ! plugin_adm_user_rights["page"]["act"] && ! plugin_adm_user_rights["page"]["del"]) {
            menuItemsHrefs.push("statiques.php");
        }

        // Mdias
        if (! plugin_adm_user_rights["file"]["add"] && ! plugin_adm_user_rights["file"]["edit"] && ! plugin_adm_user_rights["file"]["act"] && ! plugin_adm_user_rights["file"]["del"] && ! plugin_adm_user_rights["file"]["move"] && ! plugin_adm_user_rights["file"]["thumbs"]
            && ! plugin_adm_user_rights["dir"]["add"] && ! plugin_adm_user_rights["dir"]["edit"] && ! plugin_adm_user_rights["dir"]["act"] && ! plugin_adm_user_rights["dir"]["del"]) {
            menuItemsHrefs.push("medias.php");
        }

        // Commentaires
        if (! plugin_adm_user_rights["comm"]["add"] && ! plugin_adm_user_rights["comm"]["edit"] && ! plugin_adm_user_rights["comm"]["act"] && ! plugin_adm_user_rights["comm"]["del"]) {
            menuItemsHrefs.push("comments.php");
        }

        // Catgories
        if (! plugin_adm_user_rights["cat"]["add"] && ! plugin_adm_user_rights["cat"]["edit"] && ! plugin_adm_user_rights["cat"]["act"] && ! plugin_adm_user_rights["cat"]["del"]) {
            menuItemsHrefs.push("categories.php");
        }

        // Paramtres
        if (! plugin_adm_user_rights["param"]["baseconf"] && ! plugin_adm_user_rights["param"]["xpconf"] && ! plugin_adm_user_rights["param"]["viewconf"] && ! plugin_adm_user_rights["param"]["users"] && ! plugin_adm_user_rights["param"]["plugins"] && ! plugin_adm_user_rights["param"]["plxinfos"]) {
            menuItemsHrefs.push("parametres_base.php");
        }        
        if (! plugin_adm_user_rights["param"]["baseconf"]) {
            hideMenuItemByHrefAndClass("parametres_base.php", "sub");
        }
        if (! plugin_adm_user_rights["param"]["xpconf"]) {
            menuItemsHrefs.push("parametres_avances.php");
        }
        if (! plugin_adm_user_rights["param"]["viewconf"]) {
            menuItemsHrefs.push("parametres_affichage.php");
        }
        if (! plugin_adm_user_rights["param"]["users"]) {
            menuItemsHrefs.push("parametres_users.php");
        }
        if (! plugin_adm_user_rights["param"]["plugins"]) {
            menuItemsHrefs.push("parametres_plugins.php");
        }
        if (! plugin_adm_user_rights["param"]["plxinfos"]) {
            menuItemsHrefs.push("parametres_infos.php");
        }
        
        hideMenuItemsByHref(menuItemsHrefs);
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();